about/urls.py
# about/urls.py

# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.conf.urls import url
from . import views

urlpatterns = [
  url(r'^$', views.about, name='about'),
]

delibell/urls.py
from django.conf.urls import include, url
from django.contrib import admin
from django.contrib.auth import views as auth_views

from signup import views as signup_views
from place_order import views as order_views

urlpatterns = [
    url(r'^admin/', admin.site.urls),
    #url(r'', include('place_order.urls')),
    url(r'^$', order_views.place_order, name='place_order'),
    url(r'^confirm_order/', order_views.confirm_order, name='confirm_order'),
    url(r'^wait_order/', order_views.wait_order, name='wait_order'),
    url(r'^cancel_order/', order_views.cancel_order, name='cancel_order'),
    url(r'^order_arrived/', order_views.order_arrived, name='order_arrived'),
    url(r'^remove_order/', order_views.remove_order, name='remove_order'),
    url(r'^wrong_order/', order_views.wrong_order, name='wrong_order'),
    url(r'^about/', include('about.urls')),
    url(r'^myaccount/', include('myaccount.urls')),
    url(r'^login/', auth_views.login, {'template_name': 'login.html'}, name='login'),
    url(r'^logout/$', auth_views.logout, {'template_name': 'logout.html'}, name='logout'),
    url(r'^signup/$', signup_views.signup, name='signup'),
    url(r'^account_activation_sent/$', signup_views.account_activation_sent, name='account_activation_sent'),
    url(r'^activate/(?P<uidb64>[0-9A-Za-z_\-]+)/(?P<token>[0-9A-Za-z]{1,13}-[0-9A-Za-z]{1,20})/$', signup_views.activate, name='activate'),

]

myaccount/urls.py
# myaccount/urls.py

# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.conf.urls import url
from . import views

urlpatterns = [
  url(r'^$', views.myaccount, name='myaccount'),
]

place_order/urls.py
# # login/urls.py

# # -*- coding: utf-8 -*-
# from __future__ import unicode_literals

# from django.conf.urls import url
# from . import views

# urlpatterns = [
#   url(r'^$', views.place_order, name='place_order'),
# ]

signup/models.py
# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import models
from django.contrib.auth.models import User
from django.db.models.signals import post_save
from django.dispatch import receiver


class Profile(models.Model):
    user = models.OneToOneField(User, on_delete=models.CASCADE)
    email_confirmed = models.BooleanField(default=False)
    order_name = models.CharField(max_length=10,default='')
    order_room = models.CharField(max_length=6,default='')
    order_foodchain = models.CharField(max_length=16,default='')
    order_message = models.CharField(max_length=80,default='')
    # Flags
    has_order = models.BooleanField(default=False)
    order_sent_to_rpi = models.BooleanField(default=False)
    order_seen_by_rpi = models.BooleanField(default=False)
    #order_deleted_by_rpi = models.BooleanField(default=False)
    order_arrived  = models.BooleanField(default=False)
    def __str__(self):
    	return self.user.username


@receiver(post_save, sender=User)
def create_user_profile(sender, instance, created, **kwargs):
    if created:
        Profile.objects.create(user=instance)

@receiver(post_save, sender=User)
def save_user_profile(sender, instance, **kwargs):
    instance.profile.save()

place_order/forms.py
# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django import forms


class OrderForm(forms.Form):
    order_name = forms.CharField(label='Name', max_length=10)
    order_room = forms.CharField(label='Room', max_length=5)
    order_foodchain = forms.CharField(label='Food Chain', max_length=16)

signup/forms.py
from django import forms
from django.contrib.auth.forms import UserCreationForm
from django.contrib.auth.models import User


class SignUpForm(UserCreationForm):
    email = forms.EmailField(max_length=254, help_text='Required. Inform a valid email address.')

    class Meta:
        model = User
        fields = ('username', 'email', 'password1', 'password2', )

about/views.py
# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.shortcuts import render
from signup.models import Profile

# Create your views here.
def about(request):
	if request.user.is_authenticated:
		user_profile = Profile.objects.get(user=request.user)
		return render(request, 'about.html', {
			'has_order': user_profile.has_order
			})
	else:
		return render(request, 'about.html', {
			'has_order': False,
			})

myaccount/views.py
# -*- coding: utf-8 -*-
from __future__ import unicode_literals

# Create your views here.
from django.contrib.auth.decorators import login_required
from django.contrib import messages
from django.contrib.auth import update_session_auth_hash
from django.contrib.auth.forms import PasswordChangeForm
from django.shortcuts import render, redirect

from signup.models import Profile

@login_required
def myaccount(request):
    if request.method == 'POST':
        form = PasswordChangeForm(request.user, request.POST)
        if form.is_valid():
            user = form.save()
            update_session_auth_hash(request, user)  # Important!
            return render(request, 'myaccount.html', {
                'form': form,
                'changed_password': True,
            })
    else:
        form = PasswordChangeForm(request.user)
    user_profile = Profile.objects.get(user=request.user)
    return render(request, 'myaccount.html', {
        'form': form,
        'changed_password': False,
        'has_order': user_profile.has_order,
    })

place_order/views.py
# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.contrib.auth.decorators import login_required
from django.shortcuts import render,redirect
from django.http import HttpResponse
from django.contrib.auth.models import User

from .forms import OrderForm
from signup.models import Profile

from delibell.settings import RPI_SERVER_IP
from deli_log.rpi_server_logging import *

from deli_log.ws_server_logging import *
from channels import Group

import sys
import socket
import select
import threading

import time

SOCKET_LIST = []
RECV_BUFFER = 4096
PORT = 9019

global RPI_LOG_STARTED, WS_LOG_STARTED
RPI_LOG_STARTED = False
WS_LOG_STARTED = False

global client_socket
client_socket = None

global RPI_SERVER_STARTED, RPI_CONNECTED
RPI_SERVER_STARTED = False
RPI_CONNECTED = False

# Create your views here.
@login_required
def place_order(request):
    sys.stdout.write("(place_order : %s) Entered\n" % request.user.username)
    
    # Initialize logs
    global RPI_LOG_STARTED
    if RPI_LOG_STARTED is False:
        rpi_log_init()
        RPI_LOG_STARTED = True

    global WS_LOG_STARTED
    if WS_LOG_STARTED is False:
        ws_log_init()
        WS_LOG_STARTED = True

    # Establish connection with RPi if no connection has been made yet
    # if init_rpi_server_socket() != -1:
    #     listener = threading.Thread(target=run_rpi_server)
    #     listener.daemon = True
    #     listener.start()
    global RPI_SERVER_STARTED
    if RPI_SERVER_STARTED is False:
        init_rpi_server_socket()
        listener = threading.Thread(target=run_rpi_server)
        listener.daemon = True
        listener.start()
        RPI_SERVER_STARTED = True
    else:
        rpi_server_log("[RPI-SERVER] Socket already connected. no need to create.")

    user_profile = Profile.objects.get(user=request.user)

    if user_profile.has_order:
        return redirect('wait_order')
    else:
        # print user_profile.email_confirmed
        # print request.user.profile.email_confirmed
        if request.method == 'POST':
            form = OrderForm(request.POST)
            if form.is_valid():
                user_profile.order_name = form.cleaned_data.get("order_name")
                user_profile.order_room = form.cleaned_data.get("order_room")
                user_profile.order_foodchain = form.cleaned_data.get("order_foodchain")
                # MESSAGE = "MSG " + form.cleaned_data.get("order_name") + " " + form.cleaned_data.get("order_room") + " " + form.cleaned_data.get("order_foodchain")
                user_profile.order_message = create_order_message(
                    user_profile.user.username,
                    user_profile.order_name,
                    user_profile.order_room,
                    user_profile.order_foodchain)
                user_profile.save()
                # print "created message: " + MESSAGE
                return redirect('confirm_order')
        else:
            form = OrderForm()
        return render(request, 'place_order.html', {'form': form, 'profile': user_profile})

@login_required
def confirm_order(request):
    #return HttpResponse(MESSAGE)
    user_profile = Profile.objects.get(user=request.user)
    
    return render(request, 'confirm_order.html', {
            # 'ORDER_NAME': user_profile.order_name,
            # 'ORDER_ROOM': user_profile.order_room,
            # 'ORDER_FOODCHAIN': user_profile.order_foodchain,
            'profile' : user_profile,
        })

@login_required
def wait_order(request):
    user_profile = Profile.objects.get(user=request.user)
    # print user_profile.has_order
    user_profile.has_order = True
    # print user_profile.has_order
    if not user_profile.order_sent_to_rpi:
        rpi_server_log("( %s ) SENDING MESSAGE TO RPI: %s" % (request.user.username, user_profile.order_message))
        # INSERT SEND MESSAGE TO RPI
        # global client_socket
        #if client_socket is None:
        #if send_data(user_profile.order_message) == -1:
        global RPI_CONNECTED
        if RPI_CONNECTED is False:
            rpi_server_log("( %s ) RPI OFFLINE" % (request.user.username))
            user_profile.save()
            return render(request,'rpi_offline.html', {
                'profile' : user_profile,
                })
        send_data(user_profile.order_message)
        
        # print user_profile.order_sent_to_rpi
        user_profile.order_sent_to_rpi = True
        # print user_profile.order_sent_to_rpi
    user_profile.save()
    # print user_profile.has_order
    # print user_profile.order_sent_to_rpi
    # print user_profile.has_order
    return render(request, 'wait_order.html', {
            # 'ORDER_NAME': user_profile.order_name,
            # 'ORDER_ROOM': user_profile.order_room,
            # 'ORDER_FOODCHAIN': user_profile.order_foodchain,
            # 'ORDER_ARRIVED' : user_profile.order_arrived,
            'profile' : user_profile,
        })

@login_required
def remove_order(request):
    user_profile = Profile.objects.get(user=request.user)
    reset_profile_values(user_profile)
    return render(request, 'cancel_order.html')


@login_required
def cancel_order(request):
    user_profile = Profile.objects.get(user=request.user)
    DEL_MESSAGE = "DELETE " + user_profile.user.username
    rpi_server_log("( %s ) SENDING MESSAGE TO RPI: %s" % (request.user.username, DEL_MESSAGE))
    reset_profile_values(user_profile)
    global RPI_CONNECTED
    if RPI_CONNECTED is True:
        send_data(DEL_MESSAGE)
    else:
        rpi_server_log("<!---URGENT---!> ( %s ) RPI OFFLINE DURING CANCEL. REMOVE ORDER MANUALLY" % (request.user.username))
    return render(request, 'cancel_order.html')

@login_required
def order_arrived(request):
    user_profile = Profile.objects.get(user=request.user)
    ACKPING_MESSAGE = "ACKPING " + user_profile.user.username
    rpi_server_log("( %s ) SENDING MESSAGE TO RPI: %s" % (request.user.username, ACKPING_MESSAGE))
    reset_profile_values(user_profile)
    send_data(ACKPING_MESSAGE)
    return render(request, 'order_arrived.html')

@login_required
def wrong_order(request):
    user_profile = Profile.objects.get(user=request.user)
    user_profile.order_arrived = False
    user_profile.save()
    return redirect('wait_order')

def reset_profile_values(profile):
    profile.order_name = Profile._meta.get_field('order_name').get_default()
    profile.order_room = Profile._meta.get_field('order_room').get_default()
    profile.order_foodchain = Profile._meta.get_field('order_foodchain').get_default()
    profile.order_message = Profile._meta.get_field('order_message').get_default()
    profile.has_order = Profile._meta.get_field('has_order').get_default()
    profile.order_sent_to_rpi = Profile._meta.get_field('order_sent_to_rpi').get_default()
    profile.order_seen_by_rpi = Profile._meta.get_field('order_seen_by_rpi').get_default()
    profile.order_arrived = Profile._meta.get_field('order_arrived').get_default()
    profile.save()

# global stop_rpi_server
# stop_rpi_server = False

def run_rpi_server():
    # global stop_rpi_server
    # while not stop_rpi_server:
    while True:
        try:
            ready_to_read,ready_to_write,in_error = select.select(SOCKET_LIST,[],[],0)

            for sock in ready_to_read:
                # new connection request
                if sock == server_socket:
                    global client_socket, RPI_CONNECTED
                    client_socket, addr = server_socket.accept()
                    SOCKET_LIST.append(client_socket)
                    rpi_server_log("[RPI-SERVER] RPi (%s, %s) connected" % addr)
                    RPI_CONNECTED = True
                #elif sock != sys.stdin:
                else:
                    # process data received
                    try:
                        data = sock.recv(RECV_BUFFER)
                        if data:
                            rpi_server_log("[RPI-SERVER] From RPi: " + str(data))
                            time.sleep(2)
                            # get token and user
                            recv_data_parse = str(data).partition(' ')
                            recv_data_token = recv_data_parse[0]
                            if recv_data_token == 'ACKMSG':
                                recv_data_username = recv_data_parse[2].partition(' ')[0]
                                recv_data_order_message = 'MSG ' + recv_data_parse[2]
                                recv_data_user = User.objects.get(username=recv_data_username)
                                user_profile = Profile.objects.get(user=recv_data_user)
                                #print "user_profile: " + user_profile.order_name
                                #print user_profile.order_message
                                if user_profile.order_message == recv_data_order_message:   
                                    user_profile.order_seen_by_rpi = True
                                    rpi_server_log("[RPI-SERVER] RPi received order of user " + str(user_profile))
                                    # Send SEEN to user
                                    ws_server_log("[WEBSOCKET SERVER] Sending SEEN to user " + str(user_profile))
                                    Group("delibellers").send({
                                        "text": "%s SEEN" % str(user_profile),
                                        })
                                user_profile.save()
                            elif recv_data_token == 'PING':
                                recv_data_username = str(data).partition(' ')[2]
                                recv_data_user = User.objects.get(username=recv_data_username)
                                user_profile = Profile.objects.get(user=recv_data_user)
                                if not user_profile.order_arrived:
                                    user_profile.order_arrived = True

signup/views.py
# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.contrib.auth import login
from django.contrib.auth.decorators import login_required
from django.contrib.auth.models import User
from django.contrib.sites.shortcuts import get_current_site
from django.shortcuts import render, redirect
from django.utils.encoding import force_bytes, force_text
from django.utils.http import urlsafe_base64_encode, urlsafe_base64_decode
from django.template.loader import render_to_string

from forms import SignUpForm
from tokens import account_activation_token
from .models import Profile

# Create your views here.
def signup(request):
    if request.method == 'POST':
        form = SignUpForm(request.POST)
        if form.is_valid():
            user = form.save(commit=False)
            user.is_active = False
            user.save()

            current_site = get_current_site(request)
            subject = 'Activate Your Delibell Account'
            message = render_to_string('account_activation_email.html', {
                'user': user,
                'domain': current_site.domain,
                'uid': urlsafe_base64_encode(force_bytes(user.pk)),
                'token': account_activation_token.make_token(user),
            })
            user.email_user(subject, message)
            # msg = "MSG server message1"
            # send_data(server_socket,sock,str(msg))
            return redirect('account_activation_sent')
    else:
        form = SignUpForm()
    return render(request, 'signup.html', {'form': form})

def account_activation_sent(request):
    return render(request, 'account_activation_sent.html')


def activate(request, uidb64, token):
    try:
        uid = force_text(urlsafe_base64_decode(uidb64))
        user = User.objects.get(pk=uid)
    except (TypeError, ValueError, OverflowError, User.DoesNotExist):
        user = None

    if user is not None:

        if account_activation_token.check_token(user, token):
            user.is_active = True
            user.profile.email_confirmed = True
            user.save()
            login(request, user)
            return redirect('/')
        else:
            user.delete()
            return render(request, 'account_activation_invalid.html')
    else:
        return render(request, 'account_activation_invalid.html')

templates/about.html
{% load static %}
<!DOCTYPE html>
<html>
	<head><title> About Us - DeliBell </title>
		<link rel = "stylesheet" type = "text/css" href = "{% static 'delibell/css/faq.css' %}" />
		<link href='http://fonts.googleapis.com/css?family=Lato:400,700' rel='stylesheet' type='text/css'>
		<link rel="shortcut icon" href="{% static 'delibell/assets/LOGO.png' %}" />
	</head>
	<body>
		<header>
			<div class ="deli"> <img src ="{% static 'delibell/assets/LOGO.png' %}" width = 50px height = 50px></div>
			<ul class="navi">				
				{% if user.is_authenticated %}
					<li><a href="/logout">Logout</a></li>
					<li><a href="/myaccount">{{ user.username }}</a></li>
				{% endif %}
				<li><a class="active" href="/about">About Us</a></li>		
				<li> <a href="/">
					{% if has_order %}
						Check Order
					{% else %}
						Place Order
					{% endif %}
				</a></li>
				<li><a href="https://docs.google.com/forms/d/1MsxTxuuUSTFgkRKUJQqOhZu5bx2r-T5yisDXPnbTTQI/edit" target="_blank"> Feedback </a></li>

			</ul>
		</header>
<div><h1> About Us </h1></div>
		<div>
			<h3> What is DeliBell? </h3>
			<h3 class ="par"> Have you ever tried ordering food from your favorite restaurant at EEE? We know how tedious it is to constantly check if your deliveryman is already at the lobby. But with Delibell.com, waiting for your order has never been this easy. Through this site, Ate Guard can easily alert you when your deliveryman has arrived.   </h3>
			<h3> How do I use DeliBell? </h3>
			<h3 class = "par"> First, create an account in our sign-up page. After logging in, enter your name, room number, and the name of the restaurant in our order placement page. After sending your request, your order will be displayed at the lobby. Once the deliveryman arrives, an alert message will show on your screen. Finally, you can claim your order at the lobby.</h3>
			<h3> Upon checking at the lobby, I discovered that the delivery is not for me. What do I do? </h3>
			<h3 class= "par"> Sorry for that, but you have to click the <i> Wrong Order </i> button on the alert message to repost your order and wait again. </h3>
			<h3> About Us </h3>
			<h3 class= "par"> We are a team of CoE 197 - Internet of Things students who created DeliBell which aims to make the lives of students easier by allowing them to patiently wait for their delivery without having to worry about constantly checking the guard. </h3>
 
		</div>
</body>
</html>

templates/account_activation_email.html
{% autoescape off %}
Hi {{ user.username }},

Thank you for signing up!

Please click on the link below to confirm your registration:

http://{{ domain }}{% url 'activate' uidb64=uid token=token %}
{% endautoescape %}

Thank you!

Delibell Team

templates/account_activation_invalid.html
<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <title>Delibell</title>
  <link href="https://fonts.googleapis.com/css?family=Montserrat" rel="stylesheet">
  <link href="https://fonts.googleapis.com/css?family=Lato" rel="stylesheet">
  {% load static %}
  <link rel = "stylesheet" type = "text/css" href = "{% static 'delibell/css/login.css' %}" />   
  <link rel="shortcut icon" href="{% static 'delibell/assets/LOGO.png' %}" />
</head>
<body>
  <link href="https://fonts.googleapis.com/css?family=Lato" rel="stylesheet">
<br><br><br><br>
<center>
	<form method="POST">
		  <p id="square" style="font-family:'Lato', sans-serif; font-size:20px;">
		    <br />
        <img src="{% static '/delibell/assets/LOGO.png' %}" style="width:100px;height:100px;" />
        <br />
        DeliBell
        <br />
        <br />
        <br />
        <br />
        <font size="3px" color="#9d9595"> The confirmation link was invalid, possibly because it has already been used.</font>
        <br />
      </p>
    </div>
  </center>
  </body>
  </html>

templates/base.html
<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <title>{% block title %}Delibell{% endblock %}</title>
  <link href="https://fonts.googleapis.com/css?family=Montserrat" rel="stylesheet">
  <link href="https://fonts.googleapis.com/css?family=Lato" rel="stylesheet">
  <link rel = "stylesheet" type = "text/css" href = "../static/css/login.css" />   
  <link rel="shortcut icon" href="../static/assets/LOGO.png" />
</head>
<body>
  <link href="https://fonts.googleapis.com/css?family=Lato" rel="stylesheet">
  sample body
</html>

templates/cancel_order.html
{% load static %}
<!DOCTYPE html>
<html>
	<head><title> Cancel Order - DeliBell </title>
		<link rel = "stylesheet" type = "text/css" href = "{% static 'delibell/css/confirm.css' %}" />
		<link href='http://fonts.googleapis.com/css?family=Lato:400,700' rel='stylesheet' type='text/css'>
		<link rel="shortcut icon" href="{% static 'delibell/assets/LOGO.png' %}" />
	</head>
	<body>
		<header>
			<div class ="deli"> <img src ="{% static 'delibell/assets/LOGO.png' %}" width = 50px height = 50px></div>
			<ul class="navi">				
				{% if user.is_authenticated %}
					<li><a href="/logout">Logout</a></li>
					<li><a href="/myaccount">{{ user.username }}</a></li>
				{% endif %}
				<li><a href="/about">About Us</a></li>		
				<li> <a class="active" href="/">
					{% if profile.has_order %}
						Check Order
					{% else %}
						Place Order
					{% endif %}
				</a></li>
				<li><a href="https://docs.google.com/forms/d/1MsxTxuuUSTFgkRKUJQqOhZu5bx2r-T5yisDXPnbTTQI/edit" target="_blank"> Feedback </a></li>

			</ul>
		</header>
		<center>
		<div>
		<h1>Your order has been cancelled.</h1></div>
		<div class="container" style="height: 250px;">
		<br><br><br><table class="table" cellpadding="10" align="center">
			
	<tbody><tr>
				<td class="table_style">Click here to place a new order.</td>
			</tr>
		
		</tbody></table>
		<br>
		<br>
		<br>
		<a href="/"><button class="button" type="submit">PLACE ORDER</button></a>
		
		</div>
		</center>
	</body>
</html>

templates/logout.html
<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <title>Delibell</title>
  <link href="https://fonts.googleapis.com/css?family=Montserrat" rel="stylesheet">
  <link href="https://fonts.googleapis.com/css?family=Lato" rel="stylesheet">
  {% load static %}
  <link rel = "stylesheet" type = "text/css" href = "{% static 'delibell/css/login.css' %}" />   
  <link rel="shortcut icon" href="{% static 'delibell/assets/LOGO.png' %}" />
</head>
<body>
  <link href="https://fonts.googleapis.com/css?family=Lato" rel="stylesheet">
<br><br><br><br>
<center>
	<form method="POST">
		  <p id="square" style="font-family:'Lato', sans-serif; font-size:20px;">
		    <br />
        <img src="{% static '/delibell/assets/LOGO.png' %}" style="width:100px;height:100px;" />
        <br />
        DeliBell
        <br />
        <br />
        <br />
        <br />
        <font size="3px" color="#9d9595"> You have successfully logged out.
        <br />
        <a class ="signuplink" href="/login">&nbsp<b>Login again</b></a></font>
      </p>
    </div>
  </center>
  </body>
  </html>

templates/place_order.html
{% load static %}
<!DOCTYPE html>
<html>
	<head><title> Place Order - DeliBell </title>
		<link rel = "stylesheet" type = "text/css" href = "{% static 'delibell/css/send.css' %}" />
		<link href='http://fonts.googleapis.com/css?family=Lato:400,700' rel='stylesheet' type='text/css'>
		<link rel="shortcut icon" href="{% static 'delibell/assets/LOGO.png' %}" />
	</head>
	<body>
		<header>
			<div class ="deli"> <img src ="{% static 'delibell/assets/LOGO.png' %}" width = 50px height = 50px></div>
			<ul class="navi">
				{% if user.is_authenticated %}
					<li><a href="/logout">Logout</a></li>
					<li><a href="/myaccount">{{ user.username }}</a></li>
				{% endif %}
				<li><a href="/about">About Us</a></li>		
				<li> <a class="active" href="/"> Place Order </a></li>
				<li><a href="https://docs.google.com/forms/d/1MsxTxuuUSTFgkRKUJQqOhZu5bx2r-T5yisDXPnbTTQI/edit" target="_blank"> Feedback </a></li>	
			</ul>
		</header>
		<center>
		<form method="POST">
		{% csrf_token %}
		<div class="form-group">
		<h1>Place your order.</h1></div>
		<br>
		<div>
		<table cellpadding=10 align = center>
			<tr>
				<td class='table_style'>Name</td><td><input type="text" class="form-control inp" name="order_name" id="id_order_name" required="True" autofocus="True" maxlength="10" value="{{ profile.order_name }}"></td>  
			</tr> 
			<tr>
				<td class='table_style'>Room</td><td><input type="text" class="form-control inp" name="order_room" id="id_order_room" required="True" maxlength="5" value="{{ profile.order_room }}"></td>
			</tr>
			<tr>
				<td class = 'table_style'>Food Chain</td><td><input type="text" class="form-control inp" name="order_foodchain" id="id_order_foodchain" required="True" maxlength="16" value="{{ profile.order_foodchain }}"></td>
			</tr>
		</table>
		</div>
		
		<button class="button" type="submit">SUBMIT</button>
		</form>
		</center>
	
	</body>
</html>

templates/signup.html
{% load static %}
<!DOCTYPE html>
<html>
	<head><title> Sign Up - DeliBell </title>
		<link href="https://fonts.googleapis.com/css?family=Montserrat" rel="stylesheet">
		<link href="https://fonts.googleapis.com/css?family=Lato" rel="stylesheet">
		<link rel = "stylesheet" type = "text/css" href = "{% static 'delibell/css/signup.css' %}" />
		<link rel="shortcut icon" href="{% static 'delibell/assets/LOGO.png' %}" />
	</head>		
	<body>
		<br>
		<br>
		<br>
		<br>
		<center>
		<form method="POST">
		{% csrf_token %}
		<div class="form-group">
		<p id="square" style="font-family:'Lato', sans-serif; font-size:20px; height:450px">
		<br>
		<img src="{% static 'delibell/assets/LOGO.png' %}" style="width:100px;height:100px;"><br>Create an account.
		<br>
		<br>
		<font size="2px" color="#ff0000">{{ form.errors.as_text }}</font><br /><br />
      	<img src="{% static 'delibell/assets/user.png' %}" style="width:17px;height:17ppx;" >&nbsp&nbsp&nbsp<input id="id_username" type="text" name="username" placeholder="Username" autofocus="True" required="True" maxlength="20" />
       	<br>
       	<br>
       	<img src="{% static 'delibell/assets/env.png' %}" style="width:17px;height:14px;">&nbsp&nbsp&nbsp<input id="id_email" type="email" required="True" maxlength="254" name="email" placeholder="E-mail">  
       	<br>
       	<br>       	
       	<img src="{% static 'delibell/assets/key.png' %}" style="width:17px;height:17px;">&nbsp&nbsp&nbsp<input id="id_password1" required="True" type="password" name="password1" placeholder="Password" />
       	<br>
       	<br>       	
       	<img src="{% static 'delibell/assets/lock.png' %}" style="width:17px;height:19px;">&nbsp&nbsp&nbsp<input id="id_password2" type="password" name="password2" placeholder="Confirm Password" required="True" />          	    
       	<br>
       	<br>
       	<button class="button" type="submit">SIGN UP</button>
       	</div>
    	</form></p>
		</center>

	</body>	
</html>